package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.ObjectFactory;
import org.eclipse.cosmos.me.sdd.schema.TopologyType;

public class TopologyCompare {
	
	public static TopologyType merge(TopologyType topology1, TopologyType topology2)
	{
		ObjectFactory of = new ObjectFactory();
		TopologyType t = of.createTopologyType();
		t.getResource().addAll(ResourceCompare.merge(topology1.getResource(), topology2.getResource()));
		
		return t;
	}

}
